import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { TeamMemberService } from './team-member.service';
import * as i0 from "@angular/core";
export declare class MyTeamComponent implements OnInit {
    private formBuilder;
    private teamMemberService;
    cd: ChangeDetectorRef;
    cmsService: CmsService;
    registerForm: FormGroup;
    submitted: boolean;
    sortbyOptions: {
        name: string;
        value: string;
    }[];
    roles: {
        role: string;
        isChecked: boolean;
    }[];
    isTeam: boolean;
    isEdit: boolean;
    isError: boolean;
    showModal: boolean;
    isViewMore: boolean;
    isActive: boolean;
    showToast: boolean;
    createUpdateToast: boolean;
    isCreate: boolean;
    buttonPlaceholder: any;
    myTeamListData: any;
    selectedItemsList: any;
    myTeamParagraph: any;
    selectedRowData: any;
    selectedUserName: any;
    selectedUid: any;
    errorMessage: any;
    sortByValue: any;
    dataSource: any;
    defaultRoles: any;
    testPaginator: {
        length: number;
        pageSize: number;
        pageIndex: number;
    };
    orgUnits: any;
    pageSize: number;
    currentPage: number;
    totalResults: number;
    isTeamAvailable: string;
    selectedStatus: boolean;
    showWaitCursor: BehaviorSubject<boolean>;
    selectedOrgUnits: any;
    breadcrumbData: any;
    totalRecords: any;
    userAllAccounts: any;
    userAllRoles: any;
    totalLength: any;
    childrenLength: any;
    accountLength: any;
    closeConfirmModal: any;
    closeInviteModal: any;
    constructor(formBuilder: FormBuilder, teamMemberService: TeamMemberService, cd: ChangeDetectorRef, cmsService: CmsService);
    ngOnInit(): void;
    initializeInviteForm(): void;
    getTeamList(): void;
    pageEvent($event: any): void;
    get f(): {
        [key: string]: import("@angular/forms").AbstractControl;
    };
    clearEdit(): void;
    onSubmit(): void;
    inviteMember(): void;
    editMember(data: any): void;
    changeStatus(data: any): void;
    updateStatus(): void;
    getMoreCount(accountData: any, team: any): number;
    viewMore(accountData: any, name: string): void;
    viewMoreRoles(rolesData: any, name: string): void;
    changeSelection(event: any, data: any): void;
    fetchSelectedItems(): void;
    sortBy(e: any): void;
    availableUnits(): void;
    getAllUnits(): void;
    getRoles(): void;
    closeToast(): void;
    closeUpdateToast(): void;
    checkOrgUnit(event: any, data: any): void;
    getCheckedStatuses(id: any): boolean;
    getCheckedStatusesRole(id: any): boolean;
    numberOnly(event: any): boolean;
    numberMobile(e: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MyTeamComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MyTeamComponent, "lib-my-team", never, {}, {}, never, never>;
}
